extends ../../includes/layout

block content

    .d-flex.align-items-center.mb-4
        h4.fs-20.font-w600.mb-0.me-auto 
    .row
        .col-xl-12
            .card
                .card-header
                    h4.card-title #{nav}
                .card-body
                    .table-responsive
                        table#pickle.table.table-hover.table-striped
                            thead
                                tr
                                    th.strong Name
                                    th.strong Detail
                                    th.strong Start
                                    th.strong End
                                    th.strong Status
                                    th.strong Action
                            tbody 


block script
    script.

        list_lot();

        function list_lot(data){

            $.ajax({
                url: "#{base_url}admin/product/lot/list",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:{
                    result:true
                },
                success: function (res, status, xhr) {
                    if(status=='success' && xhr.status==200 && res.result){
                        //- swal("Success", data.message, "success");
                        $(res.data).each(function(key,val){

                            if(val.status == 'open'){
                                var bgStatus ='badge light badge-success' 
                            }else if(val.status == 'close'){ 
                                var bgStatus ='badge light badge-primary'
                            }else{
                                var bgStatus ='badge light badge-warning'
                            }

                            var start = moment(val.date_start).format('YYYY/MM/DD HH:mm')
                            var end = moment(val.date_end).format('YYYY/MM/DD HH:mm')

                            var auction = '<button class="btn btn-success shadow btn-xs sharp me-1 btn-auction" data-id="'+val._id+'">A</button>';

                            var board = '<button class="btn shadow btn-xs sharp me-1 btn-board" data-id="'+val._id+'">b1</button>';

                            var board2 = '<button class="btn shadow btn-xs sharp me-1 btn-board2" data-id="'+val._id+'">b2</button>';

                            var list = '<button class="btn btn-info shadow btn-xs sharp me-1 btn-list" data-id="'+val._id+'">EP</button>';

                            var edit = '<button class="btn btn-warning shadow btn-xs sharp me-1 btn-edit" data-id="'+val._id+'">EL</button>';

                            var del = '<button class="btn btn-danger shadow btn-xs sharp btn-del" data-id="'+val._id+'">D</button>';

                            $('#pickle tbody').append('<tr><td>'+val.name+'</td><td>'+val.detail+'</td><td>'+start+'</td><td>'+end+'</td><td><span class="'+bgStatus+'">'+val.status+'</span></td><td>'+board+board2+auction+list+edit+del+'</td></tr>')

                        });


                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }

                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                    console.log(xhr);
                    console.log(status);
                    console.log(error);
                    //redirect_login();
                },
            });
        }

        $('#pickle').on('click','.btn-auction',function(){
            var id = $(this).attr('data-id')
            console.log(id)
            window.open("#{base_url}admin/auction/"+id, '_blank');
        })


        $('#pickle').on('click','.btn-board',function(){
            var id = $(this).attr('data-id')
            console.log(id)
            window.open("#{base_url}admin/auction/board/"+id, '_blank');
        })

        $('#pickle').on('click','.btn-board2',function(){
            var id = $(this).attr('data-id')
            console.log(id)
            window.open("#{base_url}admin/auction/board2/"+id, '_blank');
        })



        $('#pickle').on('click','.btn-edit',function(){
            var id = $(this).attr('data-id')
            console.log(id)
            window.open("#{base_url}admin/product/lot/edit/"+id, '_blank');
        })


        $('#pickle').on('click','.btn-list',function(){
            var id = $(this).attr('data-id')
            console.log(id)
            window.open("#{base_url}admin/product/lot/products/"+id, '_blank');
        })


        $('#pickle').on('click','.btn-del',function(){
            const obj = $(this)
            swal({
                title: "Are you sure?",
                text: "Delete item ? ",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#DD6B55',
                confirmButtonText: 'Yes, I am sure!',
                cancelButtonText: "No, cancel it!"
            }).then(function(result) {
                console.log(result)
                if(result.value){
                    delete_item(obj)
                }
            })
        })

        function delete_item(obj){
            $.ajax({
                url: "#{base_url}admin/product/lot/delete",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:{
                    id:obj.attr('data-id')
                },
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        swal("Success", data.message, "success");
                        obj.parent().parent().remove()
                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }
                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                },
            });
        }






